import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Properties;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;

public class SecurityProperties extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			SecurityProperties report = new SecurityProperties();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", report.doSecurityProperties(frame));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doSecurityProperties(this));
	}

	Component doSecurityProperties(Object parent) {

		// Do not use EspressManager
		QbReport.setEspressManagerUsed(false);

		// Set up Properties
		Properties props = new Properties();
		props.put("security level", "NoWest");

		// Open the template
		QbReport report = new QbReport(parent, // container 
				"Security.rpt", // template
				props); // properties

		// Show report in Viewer
		return (new Viewer().getComponent(report));
	}
}
